Onboarding Oracle 18c

Hello Experts,

I have an Oracle 18c instance in my environment which I want to integrate with ArcSight. Current agent framework does not support 18c version and i am getting below error:

Unable to detect database version.

Tried version [10.x/11.x]. ERROR: [Io exception: The Network Adapter could not establish the connection]

Tried version [9.x]. ERROR: [Io exception: The Network Adapter could not establish the connection]

Please suggest a workaround.

 

Regards,

MS